function numPeaks = countPeaks (matrix)
% numPeaks = countPeaks(matrix)
% counts the number of peaks in a matrix of numbers,
% where a peak is a value that is larger than its
% 4 neighbors

[rows cols] = size(matrix);
numPeaks = 0;
for row = 2:rows-1
    for col = 2:cols-1
        val = matrix(row, col);
        if (val > matrix(row-1, col)) & ...
           (val > matrix(row+1, col)) & ...
           (val > matrix(row, col+1)) & ...
           (val > matrix(row, col-1))
            numPeaks = numPeaks + 1;
        end
    end
end
